# FoundationClasses
TKMath
TopLoc

# TopLoc_MapIteratorOfMapOfLocation Class Reference

`#include <TopLoc_MapIteratorOfMapOfLocation.hxx>`

Inheritance diagram for TopLoc_MapIteratorOfMapOfLocation:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TopLoc_MapIteratorOfMapOfLocation ()
Standard_EXPORT | TopLoc_MapIteratorOfMapOfLocation (const TopLoc_MapOfLocation &aMap)
Standard_EXPORT void | Initialize (const TopLoc_MapOfLocation &aMap)
Standard_EXPORT const TopLoc_Location & | Key () const

## Constructor & Destructor Documentation

Standard_EXPORT TopLoc_MapIteratorOfMapOfLocation::TopLoc_MapIteratorOfMapOfLocation | ( |  | ) |

Standard_EXPORT TopLoc_MapIteratorOfMapOfLocation::TopLoc_MapIteratorOfMapOfLocation | ( | const TopLoc_MapOfLocation & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TopLoc_MapIteratorOfMapOfLocation::Initialize | ( | const TopLoc_MapOfLocation & | aMap | ) |

Standard_EXPORT const TopLoc_Location& TopLoc_MapIteratorOfMapOfLocation::Key | ( |  | ) | const

void TopLoc_MapIteratorOfMapOfLocation::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

void* TopLoc_MapIteratorOfMapOfLocation::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

void* TopLoc_MapIteratorOfMapOfLocation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

The documentation for this class was generated from the following file:

- TopLoc_MapIteratorOfMapOfLocation.hxx